Prolifto
API reference

Notifications

In-app notifications and preferences

Get

POST
/notificationPreferences/get

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notificationPreferences/get" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Update

POST
/notificationPreferences/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notificationPreferences/update" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Delete

POST
/notifications/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/delete" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "organizationSlug": "string"  }'
{}

Delete All

POST
/notifications/deleteAll

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/deleteAll" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Get Many

POST
/notifications/getMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/getMany" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Get Push Subscriptions

POST
/notifications/getPushSubscriptions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/getPushSubscriptions" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Get Unread Count

POST
/notifications/getUnreadCount

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/getUnreadCount" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Mark All As Read

POST
/notifications/markAllAsRead

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/markAllAsRead" \  -H "Content-Type: application/json" \  -d '{    "organizationSlug": "string"  }'
{}

Mark As Read

POST
/notifications/markAsRead

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/markAsRead" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "organizationSlug": "string"  }'
{}

Mark As Unread

POST
/notifications/markAsUnread

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/markAsUnread" \  -H "Content-Type: application/json" \  -d '{    "notificationId": "string",    "organizationSlug": "string"  }'
{}

Subscribe Push

POST
/notifications/subscribePush

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/subscribePush" \  -H "Content-Type: application/json" \  -d '{    "auth": "string",    "endpoint": "http://example.com",    "organizationSlug": "string",    "p256dh": "string"  }'
{}

Unsubscribe Push

POST
/notifications/unsubscribePush

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/notifications/unsubscribePush" \  -H "Content-Type: application/json" \  -d '{}'
{}